// Code generated by mockery v2.20.0. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// ConfigurableNotify is an autogenerated mock type for the ConfigurableNotify type
type ConfigurableNotify struct {
	mock.Mock
}

// Config provides a mock function with given fields:
func (_m *ConfigurableNotify) Config() (interface{}, error) {
	ret := _m.Called()

	var r0 interface{}
	var r1 error
	if rf, ok := ret.Get(0).(func() (interface{}, error)); ok {
		return rf()
	}
	if rf, ok := ret.Get(0).(func() interface{}); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(interface{})
		}
	}

	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ConfigSet provides a mock function with given fields: _a0
func (_m *ConfigurableNotify) ConfigSet(_a0 interface{}) error {
	ret := _m.Called(_a0)

	var r0 error
	if rf, ok := ret.Get(0).(func(interface{}) error); ok {
		r0 = rf(_a0)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

type mockConstructorTestingTNewConfigurableNotify interface {
	mock.TestingT
	Cleanup(func())
}

// NewConfigurableNotify creates a new instance of ConfigurableNotify. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewConfigurableNotify(t mockConstructorTestingTNewConfigurableNotify) *ConfigurableNotify {
	mock := &ConfigurableNotify{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
